#!/usr/bin/env bash

#PYTHON_BINARY=python3
#if ! [ -x "$(command -v $PYTHON_BINARY)" ]; then
#  PYTHON_BINARY=python
#fi

source venv/bin/activate
python --version
set -o pipefail -o errexit

# The bot uses non-zero exit codes to signal state.
# The bot will restart until it returns an exit code of zero.
while true; do
    python bootstrap.py "$1" && exit
    sleep 1
done
